CMP(1)

NAME
cmp - compare two files byte by byte

SYNOPSIS
cmp [OPTION]... FILE1 [FILE2 [SKIP1 [SKIP2]]]

DESCRIPTION
Compare two files byte by byte.

The optional SKIP1 and SKIP2 specify the number of bytes to skip at the beginning of each file (zero by default).

Mandatory arguments to long options are mandatory for short options too.

-b, --print-bytes
    print differing bytes

-i, --ignore-initial=SKIP
    skip first SKIP bytes of both inputs

-i, --ignore-initial=SKIP1:SKIP2
    skip first SKIP1 bytes of FILE1 and first SKIP2 bytes of FILE2

-l, --verbose
    output byte numbers and differing byte values

-n, --bytes=LIMIT
    compare at most LIMIT bytes

-s, --quiet, --silent
    suppress all normal output

--help
    display this help and exit

-v, --version
    output version information and exit

SKIP values may be followed by the following multiplicative suffixes: kB 1000, K 1024, MB 1,000,000, M 1,048,576, GB 1,000,000,000, G 1,073,741,824, and so on for T, P, E, Z, Y.

If a FILE is `-' or missing, read standard input. Exit status is 0 if inputs are the same, 1 if different, 2 if trouble.

AUTHOR
Written by Torbjorn Granlund and David MacKenzie.

REPORTING BUGS
Report bugs to: bug-diffutils@gnu.org
GNU diffutils home page: <http://www.gnu.org/software/diffutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
diff(1), diff3(1), sdiff(1)

The full documentation for cmp is maintained as a Texinfo manual. If the info and cmp programs are properly installed at your site, the command

    info cmp

should give you access to the complete manual.